Org settings, dashboards & reporting
Check Onboarding Item
Checks whether an onboarding step is in progress for a provider and upserts the state accordingly.
Not available to API keys yet. It will need organization:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/check-onboarding-item' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"onboardingItem": "INVITE_ADMINS",
"providerInformation": {
"paymentIntegrationProvider": "string",
"employeeSyncSource": "string",
"payrollIntegrationType": "string"
},
"paymentIntegrationProvider": "BRIDGE",
"employeeProvider": "CSV_UPLOAD",
"payrollProvider": "CSV_UPLOAD"
}'{
"result": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
onboardingItemstringrequiredAvailable options: INVITE_ADMINS, SELECT_NETWORKS_AND_STABLECOINS, ADD_EMPLOYEES, INVITE_EMPLOYEES, ADD_PAYROLL_INTEGRATION, CONFIGURE_PAYROLL_SETTINGS, ADD_PAYMENT_INTEGRATION
providerInformationobjectShow child attributes
paymentIntegrationProviderstringAllowed: 1 to 100 characters
employeeSyncSourcestringAllowed: 1 to 100 characters
payrollIntegrationTypestringAllowed: 1 to 100 characters
paymentIntegrationProviderstringAvailable options: BRIDGE, FIREBLOCKS, SQUADS, COINBASE_PRIME, MANUAL
employeeProviderstringAvailable options: CSV_UPLOAD, WORKDAY, ADP, UKG, TOKUEOR, TRINET, GUSTO, DEEL, BAMBOOHR, IMPORTED, OTHER
payrollProviderstringAvailable options: CSV_UPLOAD, WORKDAY, ADP, UKG, TOKUEOR, TRINET, GUSTO, IMPORTED, OTHER
Response
200Successful response
resultbooleanrequired